# $Revision: 1.11 $, $Date: 2008/10/01 10:07:26 $
%define	_ver	%(echo %{version} | tr -d .)
Summary:	Library for handling different graphics files formats
Summary(pl.UTF-8):	Biblioteka do manipulacji różnymi formatami plików graficznych
Name:		FreeImage
Version:	3.11.0
Release:	1
License:	GPL and FIPL (see the license-fi.txt)
Group:		Libraries
Source0:	http://dl.sourceforge.net/freeimage/%{name}%{_ver}.zip
# Source0-md5:	ad1db36414391417654ba7bf1c0277d3
Source1:	http://dl.sourceforge.net/freeimage/%{name}%{_ver}.pdf
# Source1-md5:	8624d38b391a66d2e23a5e44d5c0cbf1
URL:		http://freeimage.sourceforge.net/index.html
BuildRequires:	libstdc++-devel
BuildRequires:	unzip
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FreeImage is a library project for developers who would like to
support popular graphics image formats like PNG, BMP, JPEG, TIFF and
others as needed by multimedia applications. FreeImage is easy to use,
fast, multithreading, safe.

%description -l pl.UTF-8
FreeImage jest projektem biblioteki dla programistów chcących
obsługiwać popularne formaty plików graficznych takie jak PNG, BMP,
JPEG, TIFF i inne wykorzystywane w aplikacjach multimedialnych.
FreeImage jest łatwy w użyciu, szybki, wielowątkowy i bezpieczny.

%package devel
Summary:	Header files for FreeImage library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki FreeImage
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for FreeImage library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki FreeImage.

%package static
Summary:	Static FreeImage library
Summary(pl.UTF-8):	Statyczna biblioteka FreeImage
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static FreeImage library.

%description static -l pl.UTF-8
Statyczna biblioteka FreeImage.

%prep
%setup -q -n %{name}

%build
%{__make} \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	COMPILERFLAGS="%{rpmcflags} -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir}}
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

install Dist/libfreeimage* $RPM_BUILD_ROOT%{_libdir}
install Dist/*.h $RPM_BUILD_ROOT%{_includedir}

cp -rf Examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -f %{SOURCE1} .

ln -sf libfreeimage-%{version}.so \
	$RPM_BUILD_ROOT%{_libdir}/libfreeimage.so

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.linux Whatsnew.txt license-fi.txt
%attr(755,root,root) %{_libdir}/libfreeimage-*.*.*.so

%files devel
%defattr(644,root,root,755)
%doc FreeImage%{_ver}.pdf
%attr(755,root,root) %{_libdir}/libfreeimage.so
%{_includedir}/FreeImage.h
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/libfreeimage.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: FreeImage.spec,v $
Revision 1.11  2008/10/01 10:07:26  duddits
- up to 3.11.0

Revision 1.10  2007/05/29 11:23:09  shadzik
- rel 2

Revision 1.9  2007/05/27 14:49:58  qboosh
- really use optflags
- more verbose files

Revision 1.8  2007/05/26 09:29:10  arvenil
- BR: libstdc++-devel

Revision 1.7  2007/05/25 18:38:02  qboosh
- cosmetics

Revision 1.6  2007/05/24 12:17:24  arvenil
- up to 3.9.3
- pass optflags in supported way (-fPIC works)
- cosmetics

Revision 1.5  2007/02/12 21:21:30  glen
- tabs in preamle

Revision 1.4  2007/02/12 00:48:33  baggins
- converted to UTF-8

Revision 1.3  2006/12/16 19:04:23  aredridel
- rel 1

Revision 1.2  2005/02/13 17:51:43  yogib
- md5 fix

Revision 1.1  2005/02/13 17:10:02  yogib
- initial version
